#coding:utf-8
import time
import sys
from nna import *

"""Демонстрация использования класса DM по-новому...
:author: OldBean
22.10.2018"""

# Создаем объект - цифровой модуль
dm = DM(addr = 0x15)
if dm is None:
  print('Не удалось создать объект класса DM')
  sys.exit(1)
# Добавляем датчики к цифровому модулю. Здесь ch - номер канала цифрового 
# модуля, к которому подключен датчик
hts = dm.addSensor(ch = 0, coef = 0.0625, unit = '°C') # Датчик т-ры в кубе
cts = dm.addSensor(ch = 1, coef = 0.0625, unit = '°C') # Датчик т-ры в колонне
dts = dm.addSensor(ch = 2, coef = 0.0625, unit = '°C') # Датчик т-ры в дефлегматоре
wts = dm.addSensor(ch = 3, coef = 0.0625, unit = '°C') # Датчик т-ры в ТСА
con = dm.addSensor(ch = 4, coef = 1) # Концевик
hps = dm.addSensor(6, 0.0733, 'mm Hg', 0x0029) # Датчик кубового даления
tcon = dm.addSensor(ch = 7, coef = 1) # Термоконтакт

atm = BMP180() # Создаем объект - датчик атмосферного давления и температуры
if atm is None:
  print('Не удалось создать объект класса BMP180')
  sys.exit(1)

rmss = RMS(0x11) # Создаем объект - датчик RMS напряжения сети
if rmss is None:
  print('Не удалось создать объект класса RMS')
  sys.exit(1)

dm.update() # Актуализируем данные с цифрового модуля
print(dm) # Распечатаем все данные цифрового модуля
# Примеры конкретных данных
print('Температура в кубе: % 3.3f %s'%(hts.v, hts.u))
print('Дифференциальное давление куб-атмосфера: % 3.3f %s'%(hps.v, hps.u))
print('Атмосферное давление: %3.1f mm Hg'%(atm.p))
print('Температура окружающего воздуха: %2.3f °C'%(atm.t))
print('Напряжение сети: %3.1f В'%(rmss.rms))
